# RPM specfile for gnome-mime-data module
# Generated Sat Jan 25 04:50:42 2003 GMT by Ximian build system
# from $Id: bb_do,v 1.214 2003/01/21 05:44:22 thunder Exp $

%define nam	gnome-mime-data
%define ver	2.0.0.0.200301250412
%define ximrev	1

Name:     	gnome-mime-data
Version: 	2.0.0.0.200301250412
Release:	0.snap.ximian.1
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 7.3 / i386
Copyright:	LGPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

URL:		http://www.gnome.org
Source0:	gnome-mime-data-2.0.0.tar.gz
Summary:	The GNOME virtual filesystem MIME database
Group:		System Environment/Libraries
Provides:	ximian-default = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description
The GNOME MIME database contains a basic set of applications and MIME
types for a GNOME system.

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
/usr/lib/pkgconfig/*.pc
/usr/share/application-registry/*.applications
/usr/share/mime-info/*.keys
/usr/share/mime-info/*.mime
/usr/share/pixmaps/document-icons/*
/usr/share/man/man?/*
%config(noreplace) /etc/gnome-vfs-mime-magic


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n gnome-mime-data-2.0.0
    ;;
all)
%setup  -q -n gnome-mime-data-2.0.0
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install prefix=${DESTDIR}/usr sysconfdir=${DESTDIR}/etc mandir=${DESTDIR}/usr/share/man infodir=${DESTDIR}/usr/share/info localstatedir=${DESTDIR}/var
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Sat Jan 25 2003 Ximian, Inc.

- Version: 2.0.0.0.200301250412-0.snap.ximian.1
- Summary: New build.
- New automated build.

